import React, { useState } from "react";
import { Divider, Card, Steps, Button, Radio, Form, Input, Row, Col, Select, Checkbox } from "antd";
import UploadFile from "@/components/Upload/UploadFile";
import { useTranslation } from 'react-i18next';
import { postTaCompanyBeneficiaryInfo } from "@/services/taCompanyBeneficiaryInfo";
import "../style.less";

export default (props) => {
  const { index, setIndex } = props;
  const { t } = useTranslation();
  const [form] = Form.useForm();

  const [ratio, setRatio] = useState("0");
  const onFinish = (values) => {
    console.log('----------->');
    postTaCompanyBeneficiaryInfo([values]).then((res) => {
      setIndex(index + 1);
    });
  };
  const onBack = () => {
    setIndex(index - 1);
  };
  const onChange = (e) => {
    setRatio(e.target.value);
  }

  return (
    <>
      <div style={{ fontSize: '24px', fontWeight: '400' }}>{t('authentication.everyoneInfoTitle')}</div>
      <Card bordered={false} style={{ width: '900px', marginBottom: '24px' }}>
        <div style={{ fontSize: '16px', marginBottom: '24px' }}>{t('authentication.everyoneInfoContent1')}</div>
        <div style={{ fontSize: '16px', fontWeight: '600' }}>{t('authentication.everyoneInfoContent2')}</div>
        <Form
          form={form}
          layout="vertical"
          onFinish={onFinish}
          size="large"
          style={{ marginTop: '4em' }}
        >
          <Form.Item label={t('authentication.everyoneInfoInputLabel1')} name="beneficiaryName">
            <Radio.Group onChange={onChange} value={ratio}>
              <Radio style={{ fontSize: '16px' }} value="1">{t('authentication.everyoneInfoInputRadioValue1')}</Radio>
              <Radio style={{ fontSize: '16px' }} value="0">{t('authentication.everyoneInfoInputRadioValue2')}</Radio>
            </Radio.Group>
          </Form.Item>
          {
            ratio == "1" && (
              <Form.Item label={t('authentication.everyoneInfoInputLabel3')} name="shareholdingRatio" wrapperCol={{ span: 18 }}>
                <Input placeholder={t('authentication.everyoneInfoPlaceholder')} suffix="%" />
              </Form.Item>
            )
          }
          <Form.Item label={t('authentication.everyoneInfoUploadTitle')} style={{ marginTop: '40px', marginBottom: '36px' }} name="equityStructureChart">
            <UploadFile />
          </Form.Item>
          {/* <Form.Item label={t('authentication.everyoneInfoInputLabel2')} name="">
            <Radio.Group>
              <Radio style={{ fontSize: '16px' }} value="1">{t('authentication.everyoneInfoInputRadioValue1')}</Radio>
              <Radio style={{ fontSize: '16px' }} value="2">{t('authentication.everyoneInfoInputRadioValue2')}</Radio>
            </Radio.Group>
          </Form.Item>
          <div style={{ marginBottom: '36px', color: '#ffac00', marginTop: '-24px' }}>{t('authentication.everyoneInfoRadioTip')}</div> */}

          {/* 这个是 我已阅读并同意 的东西，涛哥你看适当放开 */}
          {/* <Form.Item name="check" rules={[{ required: true, message: '请阅读并勾选协议' }]}>
            <Checkbox>
              {t('authentication.everyoneInfoAgreement')}
              <a>{t('authentication.everyoneInfoAgreementTitle1')}</a>
              {t('authentication.everyoneInfoAgreementEnd')}
              <a>{t('authentication.everyoneInfoAgreementTitle2')}</a>
            </Checkbox>
          </Form.Item> */}
          <Form.Item style={{ marginTop: '24px' }}>
            <Button size="large" style={{ width: '6vw', marginRight: '2vw' }} onClick={onBack}>{t('authentication.everyoneInfoBack')}</Button>
            <Button size="large" type="primary" htmlType="submit" style={{ width: '6vw' }}>{t('authentication.everyoneInfoSubmit')}</Button>
          </Form.Item>
        </Form>

      </Card>
    </>
  )
}